class Manager extends Impiegato
{
    private String nomeSegretaria;  
    
    public Manager(String nome, String matricola, double salario, int anniDiServizio, String nomeSegretaria){
    	super(nome, matricola, salario, anniDiServizio);
    	this.nomeSegretaria = nomeSegretaria;
    }
    
    public void incrementaSalario(double percentuale)
    {
    	double salario = getSalario();
    	salario = salario * (1 + (percentuale + 0.5) / 100);
        setSalario(salario);
    }
    
    public String getNomeSegretaria()
    {
        return nomeSegretaria;
    }
    
    public void setNomeSegretaria(String nome)
    {
        nomeSegretaria = nome;
    }
    
    public String getInfo()
    {
        return super.getInfo() + " " + nomeSegretaria;
    }
}
