
class Impiegato
{
    private String nome;
    private double salario;
    private String matricola;
    private int anniDiServizio;
    
    public Impiegato(String nome, String matricola, double salario, int anniDiServizio)
    {
    	this.nome = nome;
    	this.salario = salario;
    	this.matricola = matricola;
    	this.anniDiServizio = anniDiServizio;
    }
    
    public void setAnniDiServizio(int anniDiServizio) {
		this.anniDiServizio = anniDiServizio;
	}
    
    public void setSalario(double salario) {
		this.salario = salario;
	}
    
    public void incrementaSalario(double percentuale)
    {
        salario = salario * (1 + percentuale / 100);
    }
    public String getInfo()
    {
        return nome + " " + salario + " " + matricola;
    }
    public String getNome()
    {
        return nome;
    }
    
    public String getMatricola()
    {
        return matricola;
    }
    public int getAnniServizio()
    {
        return anniDiServizio;
    }
    public double getSalario()
    {
        return salario;
    }
}
